#!/bin/sh

[ -d /dev ] || mkdir -m 0755 /dev
[ -a /dev/console ] || mknod -m 666 /dev/console c 5 1
[ -a /dev/null ] || mknod -m 666 /dev/null c 1 3
[ -a /dev/zero ] || mknod -m 666 /dev/zero c 1 5
[ -d /root ] || mkdir -m 0700 /root
[ -d /sys ] || mkdir /sys
[ -d /proc ] || mkdir /proc
[ -d /tmp ] || mkdir /tmp
mkdir -p /var/lock
mount -t sysfs -o nodev,noexec,nosuid sysfs /sys
mount -t proc -o nodev,noexec,nosuid proc /proc

mount -t devtmpfs -o nosuid,mode=0755 udev /dev
mkdir /dev/pts
mount -t devpts -o noexec,nosuid,gid=5,mode=0620 devpts /dev/pts || true
mkdir -p /run
mkdir -m 0700 -p /run/cryptsetup
mount -t tmpfs -o "noexec,nosuid,size=10%,mode=0755" tmpfs /run

exec /bin/sh

